Page MenuHomePhabricator

Fix missing static resource "autocomplete_light" in ToolsAdmin causing broken webpage
Closed, ResolvedPublic

Description

Dear ToolAdmin hackers,

When visiting a random ToolsAdmin page like this one:

https://toolsadmin.wikimedia.org/tools/id/itwiki/info/id/1120/edit

I noticed that the web page is not working because of some missing JavaScript resources. A list of them:

My Firefox web console:

Thank you for your time

Event Timeline

valerio.bozzolan awarded a token.
bd808 added a comment.Jan 19 2021, 7:53 PM

The 500 error has stopped, but the files are not actually being served.

Anyway it's not that bad. AFAIK only tag/author pickers are broken.

Uh.. but tell us if we have to reset this counter once triaged.

raptor-free

Urbanecm triaged this task as High priority.Jan 26 2021, 6:40 PM

Anyway it's not that bad. AFAIK only tag/author pickers are broken.

I disagree. I'm unable to add a person as a maintainer at all since the breakage in a normal way. THe only way to workaround that is to use developer console, manually add the option tag, submit, and hope it works. This should be high or UBN.

Andrew claimed this task.Mon, Feb 1, 8:15 PM

Reporting same problem. Unable to add maintainers. This is urgent, unable to get a team of developers going on a project. Thanks.

Mentioned in SAL (#wikimedia-operations) [2021-02-01T20:52:12Z] <andrew@deploy1001> Started deploy [striker/deploy@b6441b8]: Striker hacked fix for T272410

Mentioned in SAL (#wikimedia-operations) [2021-02-01T20:53:08Z] <andrew@deploy1001> Finished deploy [striker/deploy@b6441b8]: Striker hacked fix for T272410 (duration: 00m 57s)

Change 660921 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[labs/striker/deploy@master] virtualenv.sh: copy all static resources, not just the index

https://gerrit.wikimedia.org/r/660921

Change 660921 merged by Andrew Bogott:
[labs/striker/deploy@master] virtualenv.sh: copy all static resources, not just the index

https://gerrit.wikimedia.org/r/660921

Change 661141 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[labs/striker/deploy@buster] virtualenv.sh: copy all static resources, not just the index

https://gerrit.wikimedia.org/r/661141

Base added a subscriber: Base.Tue, Feb 2, 4:29 PM

Change 661141 merged by Andrew Bogott:
[labs/striker/deploy@buster] virtualenv.sh: copy all static resources, not just the index

https://gerrit.wikimedia.org/r/661141

Andrew closed this task as Resolved.Tue, Feb 2, 4:30 PM